#/bin/bash

# Directorios que se van a usar:
# directorio donde esta descoprimida la distro(Knoppix modificada) -> unos 2 Gb
#SOURCES=/mnt/iso/gnome2

SOURCES=/home/davidfv/gpul-live-cd/sources

# directorio con el que se va a crear la iso final. Contiene el boot.img -> entre 600 y 650 Mb
#MASTER=/mnt/master

MASTER=/home/davidfv/gpul-live-cd/master

# directorio en donde se va a guardar la iso final, el cd para tostar  -> entre 600 y 650 Mb
#ISODIR=/mnt/iso

ISODIR=/home/davidfv/gpul-live-cd/iso

DATA1=${date}
# Primero crea una imagen ISO de la distro
mkisofs  -R -L -allow-multidot -l -V "GPUL live cdiso9660 filesystem" -o $ISODIR/gpul.iso -hide-rr-moved -v $SOURCES

# Despues comprime la imagen y crea una imagen comprimida (KNOPPIX)
create_compressed_fs $ISODIR/gpul.iso  65536 > $MASTER/KNOPPIX/KNOPPIX
# Borra la imagen ISO de la distro
rm -rf $ISODIR/gpul.iso

# Ahora crea el la imagen ISO final con lo que haya en el directorio $MASTER.
#Y crea el sector de arranque con el archivo $MASTER/KNOPPIX/boot.img
mkisofs -l -r -J -V "Gnome-Live-CD" -hide-rr-moved -v -b KNOPPIX/boot.img -c KNOPPIX/boot.cat -o $ISODIR/gpul_cd.iso $MASTER
# Borra la imagen comprimida de la distro
#rm -fr $MASTER/KNOPPIX/KNOPPIX

# Ahora se tuesta el CD
# Si es un regrabable (muy recomendable para hacer pruebas) se borra.
#cdrecord speed=4 dev=0,0 blank=all

cdrecord blank=fast -eject -v speed=8 fs=31m dev=0,0,0 $ISODIR/gpul_cd.iso

# Y ahora se tuesta. Se puede cambiar la velocidad de la grabacion, si tu grabadora te lo permite
#cdrecord -v speed=16 fs=31m dev=0,0,0 $ISODIR/gpul_cd.iso

DATA2=${date}
echo -e "\n${DATA1}\n${DATA2}\n\n\n"

echo -e "Imagen creada\n"
# Se borra la imagen ISO final
#rm -fr $ISODIR/gpul_cd.iso
